GNU bug report logs - #5633
23.1.92; *compilation* hangs and fails to scroll

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "Marshall, Simon" <Simon.Marshall@HIDDEN>; dated Tue, 23 Feb 2010 15:53:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 5633 <at> debbugs.gnu.org:


Received: (at 5633) by debbugs.gnu.org; 17 Mar 2010 16:09:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 17 12:09:28 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NrvoF-0000Mt-LJ
	for submit <at> debbugs.gnu.org; Wed, 17 Mar 2010 12:09:27 -0400
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1Nrvo1-0000Mm-OO
	for 5633 <at> debbugs.gnu.org; Wed, 17 Mar 2010 12:09:26 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.69)
	(envelope-from <rgm@HIDDEN>)
	id 1Nrvnv-0000uC-6l; Wed, 17 Mar 2010 12:09:07 -0400
To: "Marshall\, Simon" <Simon.Marshall@HIDDEN>
Subject: Re: bug#5633: 23.1.92; *compilation* hangs and fails to scroll
References: <871vfxgtav.fsf@HIDDEN>
	<63C2A154B1708946B60726AFDBA00AC00BD7A5C4@HIDDEN>
	<871vfkjm3g.fsf@HIDDEN>
	<63C2A154B1708946B60726AFDBA00AC00BD7AEF0@HIDDEN>
	<cz3a00kw52.fsf@HIDDEN>
	<63C2A154B1708946B60726AFDBA00AC00BDE7D2D@HIDDEN>
From: Glenn Morris <rgm@HIDDEN>
X-Spook: Osama CIDA virus mindwar BCCI threat csystems colonel
X-Ran: s{NpS&Hu1#d17=ygvTzrtE+fuw[~,h>s6Ym_F~AkQql!-~:_<`flF]S}03bu|;gg4.h)fv
X-Hue: magenta
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 17 Mar 2010 12:09:07 -0400
In-Reply-To: <63C2A154B1708946B60726AFDBA00AC00BDE7D2D@HIDDEN>
	(Simon Marshall's message of "Wed\, 17 Mar 2010 09\:18\:07 -0000")
Message-ID: <gjsk7zgcbg.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.1 (------)
X-Debbugs-Envelope-To: 5633
Cc: 5633 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.1 (------)

"Marshall, Simon" wrote:

>> May I close bug#21, since it seems to be replaced by this one?
>
> Yes, thanks.
>
>> The former is largely off-topic anyway.
>
> Well, it wasn't to begin with.  I was unfortunate enough to raise it
> during a row elsewhere about raised bug emails.

Absolutely, I didn't mean to imply it was your fault at all.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5633; Package emacs. Full text available.

Message received at 5633 <at> debbugs.gnu.org:


Received: (at 5633) by debbugs.gnu.org; 17 Mar 2010 09:18:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 17 05:18:58 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NrpP0-0005dW-6I
	for submit <at> debbugs.gnu.org; Wed, 17 Mar 2010 05:18:58 -0400
Received: from cluster-g.mailcontrol.com ([208.87.233.190])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <Simon.Marshall@HIDDEN>) id 1NrpOx-0005dP-MJ
	for 5633 <at> debbugs.gnu.org; Wed, 17 Mar 2010 05:18:56 -0400
Received: from rly28g.srv.mailcontrol.com (localhost.localdomain [127.0.0.1])
	by rly28g.srv.mailcontrol.com (MailControl) with ESMTP id
	o2H9Il2T025787
	for <5633 <at> debbugs.gnu.org>; Wed, 17 Mar 2010 09:18:51 GMT
Received: from localhost.localdomain (localhost.localdomain [127.0.0.1])
	by rly28g.srv.mailcontrol.com (MailControl) id o2H9I9Sv017903
	for <5633 <at> debbugs.gnu.org>; Wed, 17 Mar 2010 09:18:09 GMT
Received: from ukmailemea01.misys.global.ad ([195.81.243.15])
	by rly28g-eth0.srv.mailcontrol.com (envelope-sender
	<Simon.Marshall@HIDDEN>) (MIMEDefang) with ESMTP id
	o2H9I8Bc017525; Wed, 17 Mar 2010 09:18:09 +0000 (GMT)
X-MimeOLE: Produced By Microsoft Exchange V6.5
Content-class: urn:content-classes:message
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
Subject: RE: bug#5633: 23.1.92; *compilation* hangs and fails to scroll
Date: Wed, 17 Mar 2010 09:18:07 -0000
Message-ID: <63C2A154B1708946B60726AFDBA00AC00BDE7D2D@HIDDEN>
In-Reply-To: <cz3a00kw52.fsf@HIDDEN>
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
Thread-Topic: bug#5633: 23.1.92; *compilation* hangs and fails to scroll
Thread-Index: AcrFLwnguNlsyUdnQUSLCccNvlUa3QAg30tQ
References: <871vfxgtav.fsf@HIDDEN><63C2A154B1708946B60726AFDBA00AC00BD7A5C4@HIDDEN><871vfkjm3g.fsf@HIDDEN><63C2A154B1708946B60726AFDBA00AC00BD7AEF0@HIDDEN>
	<cz3a00kw52.fsf@HIDDEN>
From: "Marshall, Simon" <Simon.Marshall@HIDDEN>
To: "Glenn Morris" <rgm@HIDDEN>
X-Scanned-By: MailControl A_09_30_00 (www.mailcontrol.com) on 10.71.1.138
X-Spam-Score: -2.2 (--)
X-Debbugs-Envelope-To: 5633
Cc: 5633 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.2 (---)

> May I close bug#21, since it seems to be replaced by this one?

Yes, thanks.

> The former is largely off-topic anyway.

Well, it wasn't to begin with.  I was unfortunate enough to raise it
during a row elsewhere about raised bug emails.


"Misys" is the trade name for Misys plc (registered in England and Wales). =
Registration Number: 01360027. Registered office: One Kingdom Street, Londo=
n W2 6BL, United Kingdom. For a list of Misys group operating companies ple=
ase go to http://www.misys.com/corp/About_Us/misys_operating_companies.html=
. This email and any attachments have been scanned for known viruses using =
multiple scanners. This email message is intended for the named recipient o=
nly. It may be privileged and/or confidential. If you are not the named rec=
ipient of this email please notify us immediately and do not copy it or use=
 it for any purpose, nor disclose its contents to any other person. This em=
ail does not constitute the commencement of legal relations between you and=
 Misys plc. Please refer to the executed contract between you and the relev=
ant member of the Misys group for the identity of the contracting party wit=
h which you are dealing.=20




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5633; Package emacs. Full text available.

Message received at 5633 <at> debbugs.gnu.org:


Received: (at 5633) by debbugs.gnu.org; 16 Mar 2010 17:35:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 16 13:35:24 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Nrafs-0008R3-MV
	for submit <at> debbugs.gnu.org; Tue, 16 Mar 2010 13:35:24 -0400
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1Nrafe-0008Qx-EL
	for 5633 <at> debbugs.gnu.org; Tue, 16 Mar 2010 13:35:22 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.69)
	(envelope-from <rgm@HIDDEN>)
	id 1NrafZ-0007fU-6A; Tue, 16 Mar 2010 13:35:05 -0400
To: "Marshall\, Simon" <Simon.Marshall@HIDDEN>
Subject: Re: bug#5633: 23.1.92; *compilation* hangs and fails to scroll
References: <871vfxgtav.fsf@HIDDEN>
	<63C2A154B1708946B60726AFDBA00AC00BD7A5C4@HIDDEN>
	<871vfkjm3g.fsf@HIDDEN>
	<63C2A154B1708946B60726AFDBA00AC00BD7AEF0@HIDDEN>
From: Glenn Morris <rgm@HIDDEN>
X-Spook: ICE enigma MDA Bletchley Park Audiotel JFK USCODE brigand
X-Ran: wU]?~.)f6dZ.UOuYZ83>RW9o@i!ch*bNqV=9AJ0*pKkFC54DI,oV5j<th|P+sy#/:2^<h9
X-Hue: white
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Tue, 16 Mar 2010 13:35:05 -0400
In-Reply-To: <63C2A154B1708946B60726AFDBA00AC00BD7AEF0@HIDDEN>
	(Simon Marshall's message of "Tue\, 16 Mar 2010 16\:31\:18 -0000")
Message-ID: <cz3a00kw52.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.2 (-----)
X-Debbugs-Envelope-To: 5633
Cc: 5633 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.1 (------)


May I close bug#21, since it seems to be replaced by this one?
The former is largely off-topic anyway.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5633; Package emacs. Full text available.

Message received at 5633 <at> debbugs.gnu.org:


Received: (at 5633) by debbugs.gnu.org; 16 Mar 2010 16:32:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 16 12:32:13 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NrZgj-0007Wx-9j
	for submit <at> debbugs.gnu.org; Tue, 16 Mar 2010 12:32:13 -0400
Received: from cluster-b.mailcontrol.com ([85.115.56.190])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <Simon.Marshall@HIDDEN>) id 1NrZgh-0007Wr-6N
	for 5633 <at> debbugs.gnu.org; Tue, 16 Mar 2010 12:32:12 -0400
Received: from rly16b.srv.mailcontrol.com (localhost.localdomain [127.0.0.1])
	by rly16b.srv.mailcontrol.com (MailControl) with ESMTP id
	o2GGW0gp010371
	for <5633 <at> debbugs.gnu.org>; Tue, 16 Mar 2010 16:32:04 GMT
Received: from localhost.localdomain (localhost.localdomain [127.0.0.1])
	by rly16b.srv.mailcontrol.com (MailControl) id o2GGVKwQ006433
	for <5633 <at> debbugs.gnu.org>; Tue, 16 Mar 2010 16:31:20 GMT
Received: from ukmailemea01.misys.global.ad ([195.81.243.15])
	by rly16b-eth0.srv.mailcontrol.com (envelope-sender
	<Simon.Marshall@HIDDEN>) (MIMEDefang) with ESMTP id
	o2GGUv5u003936; Tue, 16 Mar 2010 16:31:20 +0000 (GMT)
X-MimeOLE: Produced By Microsoft Exchange V6.5
Content-class: urn:content-classes:message
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
Subject: RE: 23.1.92; *compilation* hangs and fails to scroll
Date: Tue, 16 Mar 2010 16:31:18 -0000
Message-ID: <63C2A154B1708946B60726AFDBA00AC00BD7AEF0@HIDDEN>
In-Reply-To: <871vfkjm3g.fsf@HIDDEN>
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
Thread-Topic: 23.1.92; *compilation* hangs and fails to scroll
Thread-Index: AcrFIWUdErzGOEDQSS6/cvj+JtPsMQAA7OYA
References: <871vfxgtav.fsf@HIDDEN><63C2A154B1708946B60726AFDBA00AC00BD7A5C4@HIDDEN>
	<871vfkjm3g.fsf@HIDDEN>
From: "Marshall, Simon" <Simon.Marshall@HIDDEN>
To: "Chong Yidong" <cyd@HIDDEN>
X-Scanned-By: MailControl A_09_30_00 (www.mailcontrol.com) on 10.66.1.126
X-Spam-Score: -3.9 (---)
X-Debbugs-Envelope-To: 5633
Cc: 5633 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.8 (---)

> Hmm, I still can't reproduce this.  The *compilation* buffer ends up
> being like this:
>=20
> =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
> ....
> wpnp.o ./ybindiffcapp.o ./yccap_ext_ycbarp.o ./yccap_fxbarp.o
> ./yccap_irbarp.o ./yccapp.o ./ycrvswpn.o ./ydiffcapp.o
> ./YieldFixedSide.o
>=20
> Compilation finished at Tue Mar 16 11:55:58
>=20
> ^
> =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
>=20
> With point at position indicated by ^.  I assume this is not what you
> see...

No, it isn't, point is left in the middle of the long line.

Perhaps this is a timing issue, eg, something specific to reading
asynchronously/inserting into the buffer on solaris.

Is there anything I can do to help track it down?

I already tried x-synchronize, but more in hope than anything.


"Misys" is the trade name for Misys plc (registered in England and Wales). =
Registration Number: 01360027. Registered office: One Kingdom Street, Londo=
n W2 6BL, United Kingdom. For a list of Misys group operating companies ple=
ase go to http://www.misys.com/corp/About_Us/misys_operating_companies.html=
. This email and any attachments have been scanned for known viruses using =
multiple scanners. This email message is intended for the named recipient o=
nly. It may be privileged and/or confidential. If you are not the named rec=
ipient of this email please notify us immediately and do not copy it or use=
 it for any purpose, nor disclose its contents to any other person. This em=
ail does not constitute the commencement of legal relations between you and=
 Misys plc. Please refer to the executed contract between you and the relev=
ant member of the Misys group for the identity of the contracting party wit=
h which you are dealing.=20




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5633; Package emacs. Full text available.

Message received at 5633 <at> debbugs.gnu.org:


Received: (at 5633) by debbugs.gnu.org; 16 Mar 2010 15:57:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 16 11:57:30 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NrZ98-0007Il-Gn
	for submit <at> debbugs.gnu.org; Tue, 16 Mar 2010 11:57:30 -0400
Received: from pantheon-po34.its.yale.edu ([130.132.50.80])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <cyd@HIDDEN>) id 1NrZ96-0007Ig-Qt
	for 5633 <at> debbugs.gnu.org; Tue, 16 Mar 2010 11:57:29 -0400
Received: from furry (dhcp128036014175.central.yale.edu [128.36.14.175])
	(authenticated bits=0)
	by pantheon-po34.its.yale.edu (8.12.11.20060308/8.12.11) with ESMTP id
	o2GFvNPa015183
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NOT);
	Tue, 16 Mar 2010 11:57:24 -0400
Received: by furry (Postfix, from userid 1000)
	id DA68BC011; Tue, 16 Mar 2010 11:57:23 -0400 (EDT)
From: Chong Yidong <cyd@HIDDEN>
To: "Marshall\, Simon" <Simon.Marshall@HIDDEN>
Subject: Re: 23.1.92; *compilation* hangs and fails to scroll
References: <871vfxgtav.fsf@HIDDEN>
	<63C2A154B1708946B60726AFDBA00AC00BD7A5C4@HIDDEN>
Date: Tue, 16 Mar 2010 11:57:23 -0400
In-Reply-To: <63C2A154B1708946B60726AFDBA00AC00BD7A5C4@HIDDEN>
	(Simon Marshall's message of "Tue, 16 Mar 2010 10:00:04 -0000")
Message-ID: <871vfkjm3g.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.1.94 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-YaleITSMailFilter: Version 1.2c (attachment(s) not renamed)
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 5633
Cc: 5633 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.8 (--)

"Marshall, Simon" <Simon.Marshall@HIDDEN> writes:

>> I can't reproduce this.  Could you send the Makefile as an attachment?
>
> Plz find attached the .emacs and Makefile.  With the .emacs, start
> emacs, navigate to the directory with the Makefile and do Tools >
> Compile... RET.  I see point stuck at 1496 in *compilation*.  I can
> reproduce this with 23.1.94.

Hmm, I still can't reproduce this.  The *compilation* buffer ends up
being like this:

=======================
....
wpnp.o ./ybindiffcapp.o ./yccap_ext_ycbarp.o ./yccap_fxbarp.o
./yccap_irbarp.o ./yccapp.o ./ycrvswpn.o ./ydiffcapp.o
./YieldFixedSide.o

Compilation finished at Tue Mar 16 11:55:58

^
=======================

With point at position indicated by ^.  I assume this is not what you
see...




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5633; Package emacs. Full text available.

Message received at 5633 <at> debbugs.gnu.org:


Received: (at 5633) by debbugs.gnu.org; 16 Mar 2010 10:02:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 16 06:02:23 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NrTbS-0004aZ-NS
	for submit <at> debbugs.gnu.org; Tue, 16 Mar 2010 06:02:22 -0400
Received: from cluster-a.mailcontrol.com ([85.115.52.190])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <Simon.Marshall@HIDDEN>) id 1NrTbK-0004aU-7o
	for 5633 <at> debbugs.gnu.org; Tue, 16 Mar 2010 06:02:21 -0400
Received: from rly19a.srv.mailcontrol.com (localhost.localdomain [127.0.0.1])
	by rly19a.srv.mailcontrol.com (MailControl) with ESMTP id
	o2GA1rt7016313
	for <5633 <at> debbugs.gnu.org>; Tue, 16 Mar 2010 10:02:03 GMT
Received: from localhost.localdomain (localhost.localdomain [127.0.0.1])
	by rly19a.srv.mailcontrol.com (MailControl) id o2GA1CTG010699
	for <5633 <at> debbugs.gnu.org>; Tue, 16 Mar 2010 10:01:12 GMT
Received: from ukmailemea01.misys.global.ad ([195.81.243.15])
	by rly19a-eth0.srv.mailcontrol.com (envelope-sender
	<Simon.Marshall@HIDDEN>) (MIMEDefang) with ESMTP id
	o2GA16Bu009514; Tue, 16 Mar 2010 10:01:12 +0000 (GMT)
X-MimeOLE: Produced By Microsoft Exchange V6.5
Content-class: urn:content-classes:message
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="----_=_NextPart_001_01CAC4EF.73CAD073"
Subject: RE: 23.1.92; *compilation* hangs and fails to scroll
Date: Tue, 16 Mar 2010 10:00:04 -0000
Message-ID: <63C2A154B1708946B60726AFDBA00AC00BD7A5C4@HIDDEN>
In-Reply-To: <871vfxgtav.fsf@HIDDEN>
X-MS-Has-Attach: yes
X-MS-TNEF-Correlator: 
Thread-Topic: 23.1.92; *compilation* hangs and fails to scroll
Thread-Index: Acq9YLqWzg70PoWsRAKQGSCSZ59Y+AHjd6Ew
References: <871vfxgtav.fsf@HIDDEN>
From: "Marshall, Simon" <Simon.Marshall@HIDDEN>
To: "Chong Yidong" <cyd@HIDDEN>
X-Scanned-By: MailControl A-09-22-10 (www.mailcontrol.com) on 10.65.1.129
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: 5633
Cc: 5633 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.0 (----)

This is a multi-part message in MIME format.

------_=_NextPart_001_01CAC4EF.73CAD073
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

> I can't reproduce this.  Could you send the Makefile as an attachment?

Plz find attached the .emacs and Makefile.  With the .emacs, start
emacs, navigate to the directory with the Makefile and do Tools >
Compile... RET.  I see point stuck at 1496 in *compilation*.  I can
reproduce this with 23.1.94.

Simon.



"Misys" is the trade name for Misys plc (registered in England and Wales). =
Registration Number: 01360027. Registered office: One Kingdom Street, Londo=
n W2 6BL, United Kingdom. For a list of Misys group operating companies ple=
ase go to http://www.misys.com/corp/About_Us/misys_operating_companies.html=
. This email and any attachments have been scanned for known viruses using =
multiple scanners. This email message is intended for the named recipient o=
nly. It may be privileged and/or confidential. If you are not the named rec=
ipient of this email please notify us immediately and do not copy it or use=
 it for any purpose, nor disclose its contents to any other person. This em=
ail does not constitute the commencement of legal relations between you and=
 Misys plc. Please refer to the executed contract between you and the relev=
ant member of the Misys group for the identity of the contracting party wit=
h which you are dealing.=20

------_=_NextPart_001_01CAC4EF.73CAD073
Content-Type: application/x-compressed;
	name="5633.tgz"
Content-Transfer-Encoding: base64
Content-Description: 5633.tgz
Content-Disposition: attachment; filename="5633.tgz"

H4sIAGVWn0sCA+1XW4vjNhTO6+ZXmH1psuDcnUCh0JlsBwpdusw8lD4FRTpO
RGTJI8m5/Pse2ZEtZ5Lp0yws5ECIvu8cXc9FcjKfToedj5URyiJJ3P94MZ9V
+Px/ls54PJ0t5sl0NJ8iP57MJqNO0vkBUhhLNE6ZEW22RJhbdpqb3f9tcrbA
xS/m8/lk1vlJJHH+/0Z2kHIBH+j/+Wx2y/8zFxvO/6PFYjweO348G80nndHd
/x8uRIhfu59+B7pV0XIZxZmN4iOeyAbsbxuQoDmNkCE6ilU03KoMhv6khpTo
jCDk0sbJIMknQ8HX7keVtJpQawYkGgwf9qDJBr7jWIp9JZYMVBTQOAM0LNlv
4FXleY3SY43WRFMSAHPIZYMKy4Wp0YmGpuZAcusRl4GKS8bTtEWEw0qWFlZ5
pErYAqHqwDzSGXerqxAeE6Nb2NUICGvAngjfNlvuJ6aCvxZgV1yvmrV58kRD
MmP25PbXgrmsIU7gAXqF2lXeRuMLuDKcQZubXMArJtMLeMVk1oZJG87bcNGG
q8C7S5VlinF7ejCcyL9zy5W8pnnJ3Ulf0V4qqMpyRfYu7gICXjGMLpgQBmGy
VNLYb8QWGkd/EopYLjcvzQH4dKiZpcLgDwzywJ+5i3hbo2AathawwkVpDjpg
NKyJPY/E3Bp9ZxaO1A5zpgrs2hrrvN/cIy4xoBsQ8E20udmg0KpCf+xB2qD5
lWMeVjhlrOn1xI/AnnHNzQmk/KjrORzIlLYGqO9xPtOqZrQO16vQu/nD/obi
LfukNPCNfKt4y/zD7VYV9hkM2GDFlkGdu+kRa8wObHPc6ZHmIcJSkbIQhcqw
bXIVgEPtMawEmsgNrFocenQFR1cn0Hkt1i2pzZzoBXNu/6lLh3wnp2Z3rnyR
OvDELj1qvyqh1G5N6G5VhtoFV+6l4rIsDTaJqLBB80wrS9esDrrXgkjbysSK
aaWipy5xE18V47brfEI9/Qy5alqPxekFhHjEVTfkEmtwcwiOeQYMORMQjdq9
CCT4XWmlbIq3iU8nk4sd5u55bmM19+2XeqGu9UgMNw1slZL3dKXPyhC9ZeB0
pVVgoJUxy0JrkPTN6KGuGv2dzlenbxlcmf5ap2t2VYH+S9HdtR6B9qKvJSeh
fIhjcnJGmiqPuICm2dwne1cFpfHdWkVxnyp9wPvbIxfe0vc7v4/OKCd2yyCt
0JEW4fPk9OadUb5PytQN07Jiw9StmDC9w5fNiep9c9mf2lP8y0FUPqxittu9
9f4fQEao+dDvv3fe/6NkMmm+/5Ly+2+ajBb39/8PkB5eaq+Re89wUSZLbKhW
QsR44+WFjWy/W5mYHCgnImYcKxs5xakmGcSYY8ZGkgtvVo0EobobldLDwATJ
ol96vQNndhsNonEy6ke9LV7EW1vCfr/7qbJGKwGpYycJ2uBNgs1F2yADWcSY
GLHgEowboFG/s9z+rS2tizQFHUu0NH7R5f56+IIz0ecvwTF9+Xxtq30cu3OX
u9zlLj+F/AddUpcYABYAAA==

------_=_NextPart_001_01CAC4EF.73CAD073--




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5633; Package emacs. Full text available.

Message received at 5633 <at> debbugs.gnu.org:


Received: (at 5633) by debbugs.gnu.org; 6 Mar 2010 19:10:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 06 14:10:38 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NnzOY-0000dp-I7
	for submit <at> debbugs.gnu.org; Sat, 06 Mar 2010 14:10:38 -0500
Received: from pantheon-po34.its.yale.edu ([130.132.50.80])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <cyd@HIDDEN>) id 1NnzOX-0000di-8d
	for 5633 <at> debbugs.gnu.org; Sat, 06 Mar 2010 14:10:37 -0500
Received: from furry (173-14-147-246-NewEngland.hfc.comcastbusiness.net
	[173.14.147.246]) (authenticated bits=0)
	by pantheon-po34.its.yale.edu (8.12.11.20060308/8.12.11) with ESMTP id
	o26JAW2P029477
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NOT);
	Sat, 6 Mar 2010 14:10:32 -0500
Received: by furry (Postfix, from userid 1000)
	id 870FC56CC01; Sat,  6 Mar 2010 14:10:32 -0500 (EST)
From: Chong Yidong <cyd@HIDDEN>
To: "Marshall\, Simon" <Simon.Marshall@HIDDEN>
Subject: Re: 23.1.92; *compilation* hangs and fails to scroll
Date: Sat, 06 Mar 2010 14:10:32 -0500
Message-ID: <871vfxgtav.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-YaleITSMailFilter: Version 1.2c (attachment(s) not renamed)
X-Spam-Score: -3.1 (---)
X-Debbugs-Envelope-To: 5633
Cc: 5633 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.1 (---)

> Now do Tools > Compile... RET and I see Emacs create the *compilation*
> window frame and insert chunks of the echo output before eventually not
> scrolling the *compilation* window.  It doesn't stop scrolling at the
> same time with each recompile.

I can't reproduce this.  Could you send the Makefile as an attachment?




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5633; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Feb 2010 15:52:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 23 10:52:29 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Njx3Z-0003l1-K9
	for submit <at> debbugs.gnu.org; Tue, 23 Feb 2010 10:52:29 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <Simon.Marshall@HIDDEN>) id 1NjwgW-0003Qs-2i
	for submit <at> debbugs.gnu.org; Tue, 23 Feb 2010 10:28:33 -0500
Received: from mail.gnu.org ([199.232.76.166]:41381 helo=mx10.gnu.org)
	by fencepost.gnu.org with esmtp (Exim 4.69)
	(envelope-from <Simon.Marshall@HIDDEN>) id 1NjwgR-00074f-20
	for submit <at> debbugs.gnu.org; Tue, 23 Feb 2010 10:28:23 -0500
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim
	4.60) (envelope-from <Simon.Marshall@HIDDEN>) id 1NjwgN-0007LS-Mh
	for submit <at> debbugs.gnu.org; Tue, 23 Feb 2010 10:28:22 -0500
X-Spam-Checker-Version: SpamAssassin 3.1.0 (2005-09-13) on monty-python
X-Spam-Level: 
X-Spam-Status: No, score=-2.4 required=5.0 tests=AWL,BAYES_00,
	FORGED_RCVD_HELO,HTML_50_60,HTML_MESSAGE,UNPARSEABLE_RELAY 
	autolearn=ham version=3.1.0
Received: from lists.gnu.org ([199.232.76.165]:43676)
	by monty-python.gnu.org with esmtps
	(TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32) (Exim 4.60)
	(envelope-from <Simon.Marshall@HIDDEN>) id 1NjwgN-0007LO-Gv
	for submit <at> debbugs.gnu.org; Tue, 23 Feb 2010 10:28:19 -0500
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1NjwgM-0005oB-GK
	for bug-gnu-emacs@HIDDEN; Tue, 23 Feb 2010 10:28:18 -0500
Received: from [140.186.70.92] (port=41404 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1NjwgK-0005nl-7s
	for bug-gnu-emacs@HIDDEN; Tue, 23 Feb 2010 10:28:17 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.69)
	(envelope-from <Simon.Marshall@HIDDEN>) id 1NjwgI-0001M3-Lt
	for bug-gnu-emacs@HIDDEN; Tue, 23 Feb 2010 10:28:15 -0500
Received: from cluster-g.mailcontrol.com ([208.87.233.190]:54085)
	by eggs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <Simon.Marshall@HIDDEN>) id 1NjwgI-0001Kl-66
	for bug-gnu-emacs@HIDDEN; Tue, 23 Feb 2010 10:28:14 -0500
Received: from ukmailemea01.misys.global.ad (dc-server-15.adam.psi.com
	[195.81.243.15] (may be forged))
	by rly30g.srv.mailcontrol.com (MailControl) with SMTP id o1NFS637020687
	for <bug-gnu-emacs@HIDDEN>; Tue, 23 Feb 2010 15:28:07 GMT
X-MimeOLE: Produced By Microsoft Exchange V6.5
Content-class: urn:content-classes:message
MIME-Version: 1.0
Content-Type: multipart/alternative;
	boundary="----_=_NextPart_001_01CAB49C.CBB82632"
Subject: 23.1.92; *compilation* hangs and fails to scroll
Date: Tue, 23 Feb 2010 15:28:04 -0000
Message-ID: <63C2A154B1708946B60726AFDBA00AC00B73F3F5@HIDDEN>
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
Thread-Topic: 23.1.92; *compilation* hangs and fails to scroll
Thread-Index: Acq0nMrIcwnOm6MISY2ubFDE8oqoMg==
From: "Marshall, Simon" <Simon.Marshall@HIDDEN>
To: <bug-gnu-emacs@HIDDEN>
X-Scanned-By: MailControl A-09-22-10 (www.mailcontrol.com) on 10.71.0.140
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4-2.6
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6,
	seldom 2.4 (older, 4)
X-Spam-Score: -6.0 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 23 Feb 2010 10:52:17 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.0 (------)

This is a multi-part message in MIME format.

------_=_NextPart_001_01CAB49C.CBB82632
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

This is a re-emergence of bug 2223 filed against 23.0.91 and (ISTR)
subsequently fixed.

You will need a Makefile that is going to output a long line.  This
works for me:

all:
	@echo the 2+K char very long line copied from my real makefile

Now emacs -Q and eval in *scratch*

(setq compilation-scroll-output t)
(setq special-display-frame-alist nil)
(setq compile-frame-alist
      (append '((width . 150) (height . 15))
	      '((left . 25) (top . 75))
	      '((menu-bar-lines . 1))
	      special-display-frame-alist))
(setq special-display-buffer-names
      (list (cons "*compilation*" compile-frame-alist)))

Now do Tools > Compile... RET and I see Emacs create the *compilation*
window frame and insert chunks of the echo output before eventually not
scrolling the *compilation* window.  It doesn't stop scrolling at the
same time with each recompile.

Simon.

In GNU Emacs 23.1.92.1 (sparc-sun-solaris2.8, Motif Version 2.1.0)
 of 2010-02-01 on risksun2
Windowing system distributor `Hummingbird Ltd.', version 11.0.100015
configured using `configure  '--without-makeinfo'
'--x-includes=3D/usr/openwin/include:/usr/dt/include:/usr/local/include:/u
sr/local/X11/include'
'--x-libraries=3D/usr/openwin/lib:/usr/dt/lib:/usr/local/lib:/usr/local/X1
1/lib' '--with-x-toolkit=3Dmotif' '--with-jpeg=3Dno' '--with-gif=3Dno'
'--with-tiff=3Dno''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: C
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t



"Misys" is the trade name for Misys plc (registered in England and Wales). =
Registration Number: 01360027. Registered office: One Kingdom Street, Londo=
n W2 6BL, United Kingdom. For a list of Misys group operating companies ple=
ase go to http://www.misys.com/corp/About_Us/misys_operating_companies.html=
. This email and any attachments have been scanned for known viruses using =
multiple scanners. This email message is intended for the named recipient o=
nly. It may be privileged and/or confidential. If you are not the named rec=
ipient of this email please notify us immediately and do not copy it or use=
 it for any purpose, nor disclose its contents to any other person. This em=
ail does not constitute the commencement of legal relations between you and=
 Misys plc. Please refer to the executed contract between you and the relev=
ant member of the Misys group for the identity of the contracting party wit=
h which you are dealing.=20

------_=_NextPart_001_01CAB49C.CBB82632
Content-Type: text/html;
	charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<META HTTP-EQUIV=3D"Content-Type" CONTENT=3D"text/html; charset=3Dus-ascii">
<META NAME=3D"Generator" CONTENT=3D"MS Exchange Server version 6.5.7654.12">
<TITLE>23.1.92; *compilation* hangs and fails to scroll</TITLE>
</HEAD>
<BODY>
<!-- Converted from text/rtf format -->

<P><SPAN LANG=3D"en-gb"><FONT SIZE=3D2 FACE=3D"Arial">This is a re-emergenc=
e of bug 2223 filed against 23.0.91 and (ISTR) subsequently fixed.</FONT></=
SPAN>
</P>

<P><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">You will need a Makef=
ile that is going to output a long line.&nbsp; This works for me:</FONT></S=
PAN>
</P>

<P><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">all:</FONT></SPAN>

<BR><SPAN LANG=3D"en-us">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <FONT S=
IZE=3D2 FACE=3D"Arial">@echo the 2+K char very long line copied from my rea=
l makefile</FONT></SPAN>
</P>

<P><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">Now emacs -Q and eval=
 in *scratch*</FONT></SPAN>
</P>

<P><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">(setq compilation-scr=
oll-output t)</FONT></SPAN>

<BR><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">(setq special-displa=
y-frame-alist nil)</FONT></SPAN>

<BR><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">(setq compile-frame-=
alist</FONT></SPAN>

<BR><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp; (append '((width . 150) (height . 15))</FONT></SPAN>

<BR><SPAN LANG=3D"en-us">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <FONT S=
IZE=3D2 FACE=3D"Arial">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; '((left . 25) (top . =
75))</FONT></SPAN>

<BR><SPAN LANG=3D"en-us">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <FONT S=
IZE=3D2 FACE=3D"Arial">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; '((menu-bar-lines . 1=
))</FONT></SPAN>

<BR><SPAN LANG=3D"en-us">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <FONT S=
IZE=3D2 FACE=3D"Arial">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; special-display-frame=
-alist))</FONT></SPAN>

<BR><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">(setq special-displa=
y-buffer-names</FONT></SPAN>

<BR><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp; (list (cons &quot;*compilation*&quot; compile-frame-alist)))</FO=
NT></SPAN>
</P>

<P><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">Now do Tools &gt; Com=
pile... RET and I see Emacs create the *compilation* window frame and inser=
t chunks of the echo output before eventually not scrolling the *compilatio=
n* window.&nbsp; It doesn't stop scrolling at the same time with each recom=
pile.</FONT></SPAN></P>

<P><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">Simon.</FONT></SPAN>
</P>

<P><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">In GNU Emacs 23.1.92.=
1 (sparc-sun-solaris2.8, Motif Version 2.1.0)</FONT></SPAN>

<BR><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">&nbsp;of 2010-02-01 =
on risksun2</FONT></SPAN>

<BR><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">Windowing system dis=
tributor `Hummingbird Ltd.', version 11.0.100015</FONT></SPAN>

<BR><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">configured using `co=
nfigure&nbsp; '--without-makeinfo' '--x-includes=3D/usr/openwin/include:/us=
r/dt/include:/usr/local/include:/usr/local/X11/include' '--x-libraries=3D/u=
sr/openwin/lib:/usr/dt/lib:/usr/local/lib:/usr/local/X11/lib' '--with-x-too=
lkit=3Dmotif' '--with-jpeg=3Dno' '--with-gif=3Dno' '--with-tiff=3Dno''</FON=
T></SPAN></P>

<P><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">Important settings:</=
FONT></SPAN>

<BR><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">&nbsp; value of $LC_=
ALL: nil</FONT></SPAN>

<BR><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">&nbsp; value of $LC_=
COLLATE: nil</FONT></SPAN>

<BR><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">&nbsp; value of $LC_=
CTYPE: nil</FONT></SPAN>

<BR><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">&nbsp; value of $LC_=
MESSAGES: nil</FONT></SPAN>

<BR><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">&nbsp; value of $LC_=
MONETARY: nil</FONT></SPAN>

<BR><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">&nbsp; value of $LC_=
NUMERIC: nil</FONT></SPAN>

<BR><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">&nbsp; value of $LC_=
TIME: nil</FONT></SPAN>

<BR><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">&nbsp; value of $LAN=
G: C</FONT></SPAN>

<BR><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">&nbsp; value of $XMO=
DIFIERS: nil</FONT></SPAN>

<BR><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">&nbsp; locale-coding=
-system: nil</FONT></SPAN>

<BR><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">&nbsp; default enabl=
e-multibyte-characters: t</FONT></SPAN>
</P>

<P><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">Major mode: Fundament=
al</FONT></SPAN>
</P>

<P><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">Minor modes in effect=
:</FONT></SPAN>

<BR><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">&nbsp; tooltip-mode:=
 t</FONT></SPAN>

<BR><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">&nbsp; mouse-wheel-m=
ode: t</FONT></SPAN>

<BR><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">&nbsp; tool-bar-mode=
: t</FONT></SPAN>

<BR><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">&nbsp; menu-bar-mode=
: t</FONT></SPAN>

<BR><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">&nbsp; file-name-sha=
dow-mode: t</FONT></SPAN>

<BR><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">&nbsp; global-font-l=
ock-mode: t</FONT></SPAN>

<BR><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">&nbsp; blink-cursor-=
mode: t</FONT></SPAN>

<BR><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">&nbsp; auto-encrypti=
on-mode: t</FONT></SPAN>

<BR><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">&nbsp; auto-compress=
ion-mode: t</FONT></SPAN>

<BR><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">&nbsp; line-number-m=
ode: t</FONT></SPAN>

<BR><SPAN LANG=3D"en-us"><FONT SIZE=3D2 FACE=3D"Arial">&nbsp; transient-mar=
k-mode: t</FONT></SPAN>
</P>

<br><br>
<SPAN style=3D"FONT-SIZE: 10pt; COLOR: gray; FONT-FAMILY: 'Arial','sans-ser=
if'"><?xml:namespace prefix =3D o ns =3D "urn:schemas-microsoft-com:office:=
office" /><o:p>
<P class=3DMsoNormal style=3D"MARGIN: 5pt 0cm; mso-layout-grid-align: none"=
><SPAN style=3D"FONT-SIZE: 10pt; COLOR: gray; FONT-FAMILY: 'Arial','sans-se=
rif'">"Misys" is the trade name for Misys plc (registered in England and Wa=
les). Registration Number: 01360027. Registered office: One Kingdom Street,=
 London W2 6BL, United Kingdom. For a list of Misys group operating compani=
es please go to <A href=3D"http://www.misys.com/corp/About_Us/misys_operati=
ng_companies.html">http://www.misys.com/corp/About_Us/misys_operating_compa=
nies.html</A>. This email and any attachments have been scanned for known v=
iruses using multiple scanners. This email message is intended for the name=
d recipient only. It may be privileged and/or confidential. If you are not =
the named recipient of this email please notify us immediately and do not c=
opy it or use it for any purpose, nor disclose its contents to any other pe=
rson. This email does not constitute the commencement of legal relations be=
tween you and Misys plc. Please refer to the executed contract between you =
and the relevant member of the Misys group for the identity of the contract=
ing party with which you are dealing. </SPAN></P>
<P class=3DMsoNormal style=3D"MARGIN: 5pt 0cm; mso-layout-grid-align: none"=
><SPAN style=3D"FONT-SIZE: 10pt; COLOR: gray; FONT-FAMILY: 'Arial','sans-se=
rif'"><o:p></o:p></SPAN>&nbsp;</P></o:p></SPAN>
</body>
</HTML>=

------_=_NextPart_001_01CAB49C.CBB82632--





Acknowledgement sent to "Marshall, Simon" <Simon.Marshall@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5633; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.